import React, { useState } from 'react';
import Button from './components/Button/Button';
import Grid from './components/Grid/Grid';
import ThemeProvider from './utils/theme';
import Input from './components/Input/Input';
import Dropdown from './components/Dropdown/Dropdown';
import Icon from './components/Icon/Icon';
import AddSvg from './components/Icons/AddSvg';

function App() {
  const [type, setType] = useState('primary');
  const [value, setValue] = useState('');
  const [user, setUser] = useState('');
  const [pass, setPass] = useState('');
  const [d, setD] = useState(undefined);
  return (
    <ThemeProvider>
      <div className="App">
        <Grid
          container
          direction={'row'}
          justifyContent={'center'}
          alignItems={'center'}
          spacing={8}
        >
          <Grid item={1}>
            <Button
              label={'Osman'}
              size={'sm'}
              disabled={false}
              type={type}
              onClick={() =>
                setType(type === 'primary' ? 'secondary' : 'primary')
              }
            ></Button>
          </Grid>
          <Grid item={2}>
            <Button
              label={'Osman'}
              size={'md'}
              disabled={false}
              type={type}
              onClick={() =>
                setType(type === 'primary' ? 'secondary' : 'primary')
              }
            ></Button>
          </Grid>
          <Grid item={9}>
            <Button
              label={'Osman'}
              size={'lg'}
              disabled={false}
              type={type}
              onClick={() =>
                setType(type === 'primary' ? 'secondary' : 'primary')
              }
            ></Button>
          </Grid>
          <Grid item={8}>
            <Input
              label="Girişs"
              value={value}
              disabled
              onChange={(e) => setValue(e.target.value)}
              inputSize={20}
            />
          </Grid>
        </Grid>

        <Grid
          container
          direction="column"
          justifyContent="center"
          alignItems="center"
          spacing={8}
        >
          <Grid item={6}>
            <Dropdown
              label="Dropdown Başlık"
              data={['a', 'b']}
              value={d}
              onSelect={setD}
              noShadow
            />
          </Grid>
          <Grid item={6}>
            <Input
              type="text"
              label="Kullanıcı Adı"
              inputSize={50}
              value={user ?? ''}
              onChange={(e) => setUser(e.target.value)}
            />
          </Grid>
          <Grid item={6}>
            <Input
              type="text"
              label="Şifre"
              inputSize={50}
              value={pass ?? ''}
              onChange={(e) => setPass(e.target.value)}
            />
          </Grid>
          <Grid item={6}>
            <Button size="md" onClick={() => alert('ok')} label="Giris" />
          </Grid>
        </Grid>
        <AddSvg />
      </div>
    </ThemeProvider>
  );
}

export default App;
